@nextcloud
Feature: Test nextcloud admin login
  As an OAS admin
  I want to be able to login to nextcloud as the user admin
  And I want to be able to open a document in OnlyOffice

Scenario: Open nextcloud
  When I open the nextcloud URL
  Then I wait on element "input#user" for 25000ms to be visible
  And  I expect that element "input#user" is visible

Scenario: Login to nextcloud
  Given the element "input#user" is visible
  When I enter the "nextcloud" "username" in the inputfield "input#user"
  And I enter the "nextcloud" "password" in the inputfield "input#password"
  And I click on the button "input#submit"
  Then I expect that the title is "Files - Nextcloud"
  And I expect that cookie "nc_session_id" exists
  And I expect that cookie "nc_token" exists
  And I expect that cookie "nc_username" exists

Scenario: Close welcome to nextcloud modal
  When I close the nextcloud welcome wizard if it exists
  Then I wait on element "#firstrunwizard" for 1000ms to not exist

Scenario: Create a new document in OnlyOffice
  When I click on the element ".actions a.button.new"
  And I click on the element "[data-action='onlyofficeDocx']"
  And I add a random string to the inputfield ".filenameform input[type=text]"
  And I click on the element "input.icon-confirm"
  And I focus the last opened tab
  Then I expect a new tab has been opened
  And I expect that element "div.type-error" does not exist
  And I wait on element "iframe[name='frameEditor']" for 20000ms to be visible
